<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <title>Hello world!</title>
    <style>
      :root {
        --font-size: 10px;
        --font-family: Verdana, Geneva, Tahoma, sans-serif;
        --spacing: 10px;
        --bg-color: #fff;
        --separator-color: #f3f2f5;
        --thead-cell-bg-color: #312783;
        --thead-cell-color: #fff;
        --hightlight-success-bg-color: #bee4be;
        --hightlight-warn-bg-color: #ffeac4;
        --sign-height: 120px;
        --logo-height: 140px;
      }

      html {
        font-family: var(--font-family);
        font-size: var(--font-size);
      }

      body {
        display: flex;
        flex-direction: column;
        gap: var(--spacing);
      }

      header {
        display: flex;
        justify-content: space-between;
        gap: var(--spacing);
      }

      header svg {
        width: var(--logo-height);
      }

      header > section {
        flex: 1;
        display: flex;
        flex-direction: column;
        gap: var(--spacing);
      }

      header > section > div {
        display: flex;
        gap: var(--spacing);
      }

      section {
        font-size: 1.2rem;
        font-weight: bold;
      }

      table {
        width: 100%;
      }

      caption > section {
        display: flex;
        justify-content: space-between;
        padding-bottom: var(--spacing);
      }

      table,
      th,
      td {
        border-collapse: collapse;
        border: 1px solid var(--separator-color);
        text-align: center;
      }

      th {
        color: var(--thead-cell-color);
        background-color: var(--thead-cell-bg-color);
        padding: calc(var(--spacing) / 2);
      }

      th.date,
      th.hours {
        width: 80px;
      }

      th.project {
        width: 120px;
      }

      footer {
        display: flex;
        justify-content: space-around;
        align-items: flex-end;
        height: var(--sign-height);
      }

      footer > div {
        border-top: 1px solid var(--separator-color);
      }

      span.highlight {
        padding: 0 10px;
        min-width: 50px;
        text-align: left;
      }

      span.highlight.success {
        background-color: var(--hightlight-success-bg-color);
      }

      span.highlight.warn {
        background-color: var(--hightlight-warn-bg-color);
      }
    </style>
  </head>
  <body>
    <header>
      <section>
        <div>Výkaz práce za: <span class="highlight success">{{date}}</span></div>
        <div>
          <div>Jméno a příjmení: {{ name }}</div>
          <div>IČ <span class="highlight warn">{{ in }}</span></div>
        </div>
      </section>
      <svg
        xmlns="http://www.w3.org/2000/svg"
        xmlns:xlink="http://www.w3.org/1999/xlink"
        version="1.1"
        id="Layer_1"
        x="0px"
        y="0px"
        viewBox="0 0 282.7 85.1"
        style="enable-background: new 0 0 282.7 85.1"
        xml:space="preserve"
      >
        <style type="text/css">
          .st0 {
            fill: #ffffff;
          }
          .st1 {
            fill: #312783;
          }
          .st2 {
            fill: #fdc143;
          }
        </style>
        <rect x="-0.8" class="st0" width="283.5" height="85.1" />
        <g>
          <g>
            <g>
              <path
                class="st1"
                d="M21.1,31.6h5.4v12c0,1.6,0.5,2.9,1.4,3.8c0.9,0.9,2.2,1.4,3.7,1.4c1.5,0,2.8-0.5,3.7-1.4     c1-0.9,1.4-2.2,1.4-3.8v-12h5.4v11.6c0,3-1,5.4-2.9,7.3c-1.9,1.8-4.5,2.7-7.7,2.7c-3.2,0-5.7-0.9-7.6-2.7     c-1.9-1.8-2.9-4.2-2.9-7.3V31.6z"
              />
              <path
                class="st1"
                d="M46.2,46.1h5.4c0.3,2.1,1.8,3.1,4.6,3.1c1.5,0,2.6-0.2,3.3-0.7c0.7-0.4,1.1-1,1.1-1.8c0-0.7-0.3-1.3-1-1.7     c-0.7-0.4-1.5-0.6-2.6-0.8c-1-0.1-2.1-0.3-3.3-0.5c-1.2-0.2-2.3-0.5-3.3-0.8c-1-0.3-1.9-0.9-2.6-1.9c-0.7-0.9-1-2.1-1-3.5     c0-1.9,0.8-3.4,2.5-4.7c1.7-1.3,4-1.9,6.8-1.9c2.8,0,5,0.6,6.6,1.8c1.6,1.2,2.5,2.9,2.8,5.1h-5.4c-0.1-0.9-0.6-1.7-1.3-2.2     c-0.7-0.6-1.7-0.8-2.8-0.8c-1.2,0-2.2,0.2-2.9,0.7c-0.7,0.4-1,1-1,1.7c0,0.7,0.3,1.3,1,1.6c0.7,0.4,1.6,0.6,2.6,0.7     c1,0.1,2.2,0.3,3.3,0.5c1.2,0.2,2.3,0.5,3.3,0.8c1,0.3,1.9,1,2.6,1.9c0.7,0.9,1,2.1,1,3.6c0,1.9-0.9,3.4-2.6,4.7     c-1.8,1.3-4.2,1.9-7.3,1.9c-3,0-5.3-0.6-7-1.8C47.5,50,46.5,48.3,46.2,46.1z M53.1,28.9L48.5,22h4.7l3,3.7l3-3.7h4.6l-4.6,6.9     H53.1z"
              />
              <path
                class="st1"
                d="M69.4,42.1c0-3.2,1.1-5.8,3.3-7.9c2.2-2.1,4.9-3.1,8.3-3.1c3.6,0,6.5,1.2,8.7,3.6c2.2,2.4,3.1,5.4,2.7,9H75     c0.2,1.6,0.9,2.8,2,3.8c1.1,1,2.4,1.5,4,1.5c2.4,0,4.1-1,5.1-3.1h5.7c-0.8,2.2-2.1,4-4,5.3c-1.9,1.3-4.2,2-6.8,2     c-3.3,0-6.1-1-8.2-3.1C70.5,47.9,69.4,45.3,69.4,42.1z M75.1,40h11.6c-0.3-1.3-1-2.4-2-3.3c-1.1-0.9-2.3-1.4-3.8-1.4     c-1.5,0-2.7,0.4-3.8,1.3C76.1,37.6,75.4,38.7,75.1,40z"
              />
              <path
                class="st1"
                d="M98.3,31.6v-5.8h5.4v5.8h6.7v4.3h-6.7v8.9c0,3.5,2.2,4.7,6.7,3.4v4.4c-4.1,0.9-7.1,0.6-9.1-0.8     c-2-1.5-3-3.8-3-6.9v-8.9h-3.9v-4.3H98.3z"
              />
              <path
                class="st1"
                d="M117.6,28.9l-4.6-6.9h4.7l3,3.7l3-3.7h4.6l-4.6,6.9H117.6z M114.8,52.7V31.6h5.4v2.8     c0.8-1.2,1.9-2.1,3.3-2.7c1.4-0.5,2.8-0.7,4.3-0.4v4.9c-2.2-0.4-4-0.1-5.5,0.7c-1.4,0.9-2.1,2.2-2.1,4v11.8H114.8z"
              />
              <path
                class="st1"
                d="M128.7,42.1c0-3.2,1.1-5.8,3.3-7.9c2.2-2.1,4.9-3.1,8.3-3.1c3.6,0,6.5,1.2,8.7,3.6c2.2,2.4,3.1,5.4,2.7,9     h-17.3c0.2,1.6,0.9,2.8,2,3.8c1.1,1,2.4,1.5,4,1.5c2.4,0,4.1-1,5.1-3.1h5.7c-0.8,2.2-2.1,4-4,5.3c-1.9,1.3-4.2,2-6.8,2     c-3.3,0-6.1-1-8.2-3.1C129.8,47.9,128.7,45.3,128.7,42.1z M134.4,40h11.6c-0.3-1.3-1-2.4-2-3.3c-1.1-0.9-2.3-1.4-3.8-1.4     c-1.5,0-2.7,0.4-3.8,1.3C135.4,37.6,134.8,38.7,134.4,40z"
              />
              <path
                class="st1"
                d="M156,52.7V31.6h5.4v2.8c1.6-2.1,3.9-3.2,6.9-3.2c2.6,0,4.7,0.8,6.3,2.4c1.6,1.6,2.5,3.7,2.5,6.2v12.9h-5.4     V40.4c0-1.4-0.5-2.6-1.5-3.6c-1-0.9-2.2-1.4-3.7-1.4c-1.5,0-2.7,0.5-3.7,1.4c-1,0.9-1.5,2.1-1.5,3.6v12.2H156z"
              />
              <path
                class="st2"
                d="M181.1,42.1c0-3.2,1.1-5.8,3.3-7.9c2.2-2.1,5-3.1,8.3-3.1c3.4,0,6.2,1,8.3,3.1c2.2,2.1,3.3,4.7,3.3,7.9     c0,3.2-1.1,5.8-3.3,7.9c-2.2,2.1-5,3.1-8.3,3.1c-3.3,0-6.1-1-8.3-3.1C182.2,47.9,181.1,45.3,181.1,42.1z M186.7,42.1     c0,1.9,0.6,3.5,1.7,4.7c1.1,1.3,2.6,1.9,4.3,1.9c1.7,0,3.1-0.6,4.3-1.9c1.1-1.3,1.7-2.8,1.7-4.7c0-1.9-0.6-3.5-1.7-4.8     c-1.1-1.2-2.6-1.9-4.3-1.9c-1.7,0-3.1,0.6-4.3,1.9C187.3,38.6,186.7,40.2,186.7,42.1z"
              />
              <path
                class="st1"
                d="M208.3,52c-0.7-0.7-1.1-1.5-1.1-2.5c0-1,0.4-1.8,1.1-2.5c0.7-0.7,1.6-1,2.6-1s1.9,0.3,2.5,1     c0.7,0.7,1,1.5,1,2.5c0,1-0.3,1.8-1,2.5c-0.7,0.7-1.5,1-2.5,1S209,52.7,208.3,52z"
              />
              <path
                class="st1"
                d="M217.3,42.1c0-3.2,1.1-5.8,3.2-7.9c2.2-2.1,4.9-3.1,8.2-3.1c2.8,0,5.3,0.8,7.3,2.3c2,1.5,3.2,3.5,3.6,5.9     H234c-0.9-2.6-2.6-3.8-5.2-3.8c-1.7,0-3.1,0.6-4.2,1.9c-1.1,1.2-1.6,2.8-1.6,4.8c0,1.9,0.6,3.5,1.7,4.7c1.1,1.3,2.5,1.9,4.1,1.9     c2.6,0,4.3-1.3,5.2-3.9h5.6c-0.4,2.4-1.6,4.4-3.6,5.9c-2,1.6-4.4,2.3-7.3,2.3c-3.3,0-6.1-1-8.2-3.1     C218.4,47.9,217.3,45.3,217.3,42.1z"
              />
              <path
                class="st1"
                d="M242.2,52.7v-4.1L253.7,36h-11.5v-4.4h18.5v4.1l-11.5,12.7h11.5v4.4H242.2z"
              />
            </g>
          </g>
          <path
            class="st2"
            d="M203.3,65.5c-1.7-0.2-5.3-0.5-10.7-0.5c-5.4,0-8.8,0.3-10.4,0.5c-0.3,0-0.6,0.4-0.6,0.8v3.3   c0,0.4,0.2,0.7,0.5,0.8c1.4,0.3,19.7,0.3,21.3,0c0.3-0.1,0.6-0.4,0.6-0.8v-3.3C203.9,65.9,203.6,65.5,203.3,65.5z"
          />
          <path
            class="st2"
            d="M181.8,58.5c-0.3,0.1-0.5,0.4-0.4,0.8l0.5,3.3c0,0.3,0.3,0.6,0.6,0.6c1.5,0,4.9-0.1,10.3-1   c5.5-0.9,9-2.1,10.6-2.6c0.3-0.1,0.5-0.4,0.4-0.8l-0.5-3.2c0-0.3-0.3-0.6-0.6-0.6c0,0,0,0,0,0c-1.7,0.1-5.3,0.4-10.7,1.4   C186.7,57.2,183.3,58.1,181.8,58.5z"
          />
        </g>
      </svg>
    </header>
    <main>
      <table>
        <caption>
          <section>
            <div>
              Pracovník odpracoval:
              <span class="highlight warn">{{ hours }}</span> hodin
            </div>
            <div>MD <span class="highlight warn">{{ md }}</span></div>
          </section>
        </caption>
        <thead>
          <tr>
            <th class="date">Datum</th>
            <th class="project">Projekt</th>
            <th>Popis činnosti</th>
            <th class="hours">Počet hodin</th>
          </tr>
        </thead>
        <tbody>
          {{#each dates}}
          <tr>
            <td>{{this.date}}</td>
            <td>{{#if this.hours}} {{this.project}} {{/if}}</td>
            <td>{{this.description}}</td>
            <td>{{#if this.hours}} {{this.hours}} {{/if}}</td>
          </tr>
          {{/each}}
        </tbody>
        <tfoot>
          <tr>
            <td></td>
            <td></td>
            <td>Celkem hodin</td>
            <td>{{hours}}</td>
          </tr>
        </tfoot>
      </table>
    </main>
    <footer>
      <div>Datum a podpis za poskytovatele</div>
      <div>Datum a podpis za ušetřeno</div>
    </footer>
  </body>
</html>
